com.gemstone.gbjstats

## Class GbjJmxSystemStats

- java.lang.Object
- - com.gemstone.gbjstats.GbjJmxCacheStats
  - - com.gemstone.gbjstats.GbjJmxSystemStats

- All Implemented Interfaces:
    javax.management.DynamicMBean

      public class GbjJmxSystemStats
      extends GbjJmxCacheStats

  GbjJmxSystemStats provides System-level statistics for a GemStone system.

  The actual statistics included is user-configurable via the GbjJmxSystemStats[Template].dat file.

- - ### Field Summary

    - ### Fields inherited from class com.gemstone.gbjstats.GbjJmxCacheStats

      `monitor, session, stats`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GbjJmxSystemStats(GbjCacheStats s, GbjCacheStats shrpc, GbjSession session)` GbjJmxSystemStats constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `execute(java.lang.String command)` JMX operation to execute a GS Smalltalk command.
    `java.lang.Object` | `invoke(java.lang.String actionName, java.lang.Object[] params, java.lang.String[] signature)` JMX DynamicMBean protocol for invoking an action.
    `java.lang.String` | `shutdown()` JMX operation to shutdown the stone.

    - ### Methods inherited from class com.gemstone.gbjstats.GbjJmxCacheStats

      `enableHypericTrace, getAttribute, getAttributes, getMBeanInfo, kill, setAttribute, setAttributes, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GbjJmxSystemStats

          public GbjJmxSystemStats(GbjCacheStats s,
                                   GbjCacheStats shrpc,
                                   GbjSession session)

      GbjJmxSystemStats constructor
      Parameters:
        `s` - GbjCacheStats
        `shrpc` - GbjCacheStats for shared page cache monitor
        `session` - GbjSession

  - ### Method Detail

    - #### execute

          public java.lang.String execute(java.lang.String command)

      JMX operation to execute a GS Smalltalk command.
      Parameters:
        `command` - String command to execute
      Returns:
        String result from command execution

    - #### shutdown

          public java.lang.String shutdown()

      JMX operation to shutdown the stone.
      Returns:
        String result from stone shutdown

    - #### invoke

          public java.lang.Object invoke(java.lang.String actionName,
                                         java.lang.Object[] params,
                                         java.lang.String[] signature)
                                  throws java.lang.UnsupportedOperationException,
                                         javax.management.ReflectionException

      JMX DynamicMBean protocol for invoking an action.
      Specified by:
        `invoke` in interface `javax.management.DynamicMBean`
      Overrides:
        `invoke` in class `GbjJmxCacheStats`
      Parameters:
        `actionName` - name of action to perform
        `params` - array of parameters for action
        `signature` - array of signatures for action
      Returns:
        Object result
      Throws:
        `java.lang.UnsupportedOperationException` - ReflectionException thrown on errors
        `javax.management.ReflectionException`